using SoftwareInstallationContracts.BindingModels;
using SoftwareInstallationContracts.SearchModels;
using SoftwareInstallationContracts.ViewModels;

namespace SoftwareInstallationContracts.BusinessLogicsContracts
{

	public interface IImplementerLogic
	{
		List<ImplementerViewModel>? ReadList(ImplementerSearchModel? model);

		ImplementerViewModel? ReadElement(ImplementerSearchModel model);

		bool Create(ImplementerBindingModel model);

		bool Update(ImplementerBindingModel model);

		bool Delete(ImplementerBindingModel model);
	}
}
